Printago API
GET
/v1/materials/{id}
Get material by ID
Get a single material type by ID
Path Parameters
id
required
string
Material ID
Response Schema
Material
brandrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
externalIdoptionalnullable
string
filamentSystemProfileIdrequirednullable
number
filamentUserProfileIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
idrequired
string
pattern: ^[a-z0-9]{24}$
identifieroptionalnullable
string
namerequired
string
pricePer1000goptionalnullable
integer
Price per kg, in cents.
sourceoptionalnullable
string
starredoptional
boolean
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
tagsrequired
string[]
typerequired
string
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"name": "string",
"brand": "string",
"type": "string",
"identifier": "string",
"tags": [
"string"
],
"filamentUserProfileId": "string",
"filamentSystemProfileId": 1,
"starred": true,
"pricePer1000g": 1,
"source": "string",
"externalId": "string",
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}